---
title: "Unsubscribes an email address from a newsletter."
url: "https://developer.migros.ch/apis/newsletter-8/versions/1f672efd-f4cc-4c25-9f59-59ecc180902a/operations/delete-newsletter-subscription"
---

> Full API specification: https://developer.migros.ch/apis/newsletter-8/versions/1f672efd-f4cc-4c25-9f59-59ecc180902a.md

# Unsubscribes an email address from a newsletter. (deprecated)

`DELETE` `/migros/customers/subscriptions/v8/newsletter/clients/{client}/profile/subscription`

Operation ID: `delete-newsletter-subscription`

Unsubscribes an email address from a newsletter.

## Path parameters

- `client` (string, required) - Name of the client. One of 'migros_ch', 'migipedia'.

## Query parameters

- `email` (string, required) - The email address to unsubscribe.

## Responses

- `200` - Returned when successful

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Newsletter
  version: "8"
servers:
  - description: Public Kong Gateway URL
    url: https://api.migros.ch
paths:
  /migros/customers/subscriptions/v8/newsletter/clients/{client}/profile/subscription:
    delete:
      deprecated: true
      description: Unsubscribes an email address from a newsletter.
      operationId: delete-newsletter-subscription
      parameters:
        - description: Name of the client. One of 'migros_ch', 'migipedia'.
          in: path
          name: client
          required: true
          schema:
            type: string
        - description: The email address to unsubscribe.
          in: query
          name: email
          required: true
          schema:
            type: string
      responses:
        "200":
          description: Returned when successful
      summary: Unsubscribes an email address from a newsletter.
      tags:
        - Newsletter
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
